package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 会诊信息日统计表
 * </p>
 *
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_consultation_day_info")
public class ConsultationDayInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 科室编号
     */
     @ApiModelProperty(value = "科室编号")
      private String deptCode;

    /**
     * 日期
     */
     @ApiModelProperty(value = "日期")
      private String dataTime;

    /**
     * 发现人数
     */
     @ApiModelProperty(value = "发现人数")
      private Integer discoverNum;

    /**
     * 申请人数
     */
     @ApiModelProperty(value = "申请人数")
      private Integer applyNum;

    /**
     * 发起人数
     */
     @ApiModelProperty(value = "发起人数")
      private Integer openNum;

    /**
     * 转科人数
     */
     @ApiModelProperty(value = "转科人数")
      private Integer changeNum;

    /**
     * 随访人数
     */
     @ApiModelProperty(value = "随访人数")
      private Integer followUpNum;

    /**
     * 放弃人数
     */
     @ApiModelProperty(value = "放弃人数")
      private Integer abandonNum;

    /**
     * 最新更新时间
     */
     @ApiModelProperty(value = "最新更新时间")
      private Date latestTime;


}
