package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 确诊人数日统计表
 * </p>
 *
 * @author anros
 * @since 2024-08-27
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_diagnosis_patient_day_info")
public class DiagnosisPatientDayInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 日期
     */
     @ApiModelProperty(value = "日期")
      private String dataTime;

    /**
     * 病种
     */
     @ApiModelProperty(value = "病种")
      private String diseaseId;

    /**
     * 科室
     */
     @ApiModelProperty(value = "科室")
      private String deptCode;

    /**
     * 场景
     */
     @ApiModelProperty(value = "场景")
      private String scene;

    /**
     * 人数
     */
     @ApiModelProperty(value = "人数")
      private Integer num;

    /**
     * 最新更新时间
     */
     @ApiModelProperty(value = "最新更新时间")
      private Date latestTime;


}
