package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 首发患者明细表
 * </p>
 *
 * @author anros
 * @since 2024-08-27
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_first_disease_patient_info")
public class FirstDiseasePatientInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 患者
     */
     @ApiModelProperty(value = "患者")
      private String patientId;

    /**
     * 病种
     */
     @ApiModelProperty(value = "病种")
      private String diseaseId;

    /**
     * 发现时间
     */
     @ApiModelProperty(value = "发现时间")
      private Date discoveryTime;


    /**
     * 最新更新时间
     */
    @ApiModelProperty(value = "最新更新时间")
    private Date latestTime;

}
