package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 随访信息日统计表
 * </p>
 *
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_follow_up_day_info")
public class FollowUpDayInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 科室编号
     */
     @ApiModelProperty(value = "科室编号")
      private String deptCode;

    /**
     * 日期
     */
     @ApiModelProperty(value = "日期")
      private String dataTime;

    /**
     * 随访总人数
     */
     @ApiModelProperty(value = "随访总人数")
      private Integer totalNum;

    /**
     * 随访已执行人数
     */
     @ApiModelProperty(value = "随访已执行人数")
      private Integer exeYesNum;

    /**
     * 随访未执行人数
     */
     @ApiModelProperty(value = "随访未执行人数")
      private Integer exeNoNum;

    /**
     * 随访已复诊人数
     */
     @ApiModelProperty(value = "随访已复诊人数")
      private Integer visitNum;

    /**
     * 最新更新时间
     */
     @ApiModelProperty(value = "最新更新时间")
      private Date latestTime;


}
