package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 住院流失日统计
 * </p>
 *
 * @author anros
 * @since 2024-08-27
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_patient_inpatient_loss_day_info")
public class PatientInpatientLossDayInfo{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 日期
     */
     @ApiModelProperty(value = "日期")
      private String dataTime;

    /**
     * 开住院单人数
     */
     @ApiModelProperty(value = "开住院单人数")
      private Integer num;

    /**
     * 开住院单最新更新时间
     */
     @ApiModelProperty(value = "开住院单最新更新时间")
      private Date latestTime;

    /**
     * 已住院人数
     */
     @ApiModelProperty(value = "已住院人数")
      private Integer inpatientNum;

    /**
     * 已住院最新更新时间
     */
     @ApiModelProperty(value = "已住院最新更新时间")
      private Date latestInpatientTime;


}
