package com.xxh.cloud.data.statistics.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 潜在患者未就诊日统计表
 * </p>
 *
 * @author anros
 * @since 2024-08-27
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("sd_potential_patient_not_diagnosis_day_info")
public class PotentialPatientNotDiagnosisDayInfo{

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
     @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 日期
     */
     @ApiModelProperty(value = "日期")
      private String dataTime;

    /**
     * 病种
     */
     @ApiModelProperty(value = "病种")
      private String diseaseId;

    /**
     * 数量
     */
     @ApiModelProperty(value = "数量")
      private Integer num;


    /**
     * 确诊数量
     */
     @ApiModelProperty(value = "确诊数量")
      private Integer diagnosisNum;


    /**
     * 最新更新时间
     */
    @ApiModelProperty(value = "最新更新时间")
    private Date latestTime;


}
