package com.xxh.cloud.data.statistics.framework.modules.constant;

public class PushConstant {
    
    // 服务推送状态
    public enum PushStatus {
        NO_FAMILY("0", "无家属"),
        Todo("1","待发送"),
        Success("2", "成功"),
        Fail("3","失败"),
        Invalid("4","无效"), // 由于参数问题永远无法发送
        NotFollow("5", "未关注"),
        Doing("6", "发送中"),
        Expire("7", "过期未发送"),
        BlackList("8", "被拉黑"), // 在黑名单中无法发送
        Abnormal("9", "异常"), // 异常推送的提醒
        ;

        private String code;
        private String msg;
        private PushStatus(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }

        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

}
