package com.xxh.cloud.data.statistics.framework.modules.query.service.bean.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/** 复诊患者日统计VO */
@Getter
@Setter
public class PatientFollowupDayBO {

    @ApiModelProperty(value = "统计日期")
    private String dataTime;

    @ApiModelProperty(value = "应复诊人数")
    private Integer followupNum;

    @ApiModelProperty(value = "应复诊人数更新时间")
    private Date followupLatestTime;

    @ApiModelProperty(value = "数量")
    private Integer followupYesNum;

    @ApiModelProperty(value = "最新更新时间")
    private Date followupYesLatestTime;

}
