package com.xxh.cloud.data.statistics.framework.modules.task.bean.bos;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class ConsultationDetailQueryBO {

    private String id;

    private String deptCode;

    // 患者ID
    private String patientId;

    // 来源类型
    private String sourceType;

    // 会诊标签ID
    private String lableId;

    // 会诊发现时间
    private Date discoverTime;

    // 会诊申请提醒状态
    private String applyStatus;

    // 会诊申请提醒ID
    private String applyId;

    // 会诊申请提醒时间
    private Date applyTime;

    // 会诊发起状态
    private String openStatus;

    // 会诊发起ID
    private String openId;

    // 会诊发起时间
    private Date openTime;

    // 会诊结论状态
    private String resultStatus;

    // 会诊结论时间
    private Date resultTime;

    // 会诊结论目标分类
    private String resultTargetType;

    // 会诊结论目标执行状态
    private String resultTargetExeStatus;

    // 会诊结论目标执行时间
    private Date resultTargetExeTime;

    // 统计状态，标记数据是否需要更新
    private String status;

}
