package com.xxh.cloud.data.statistics.app;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication
@MapperScan(value = "com.xxh.cloud.**.**.modules.**.mapper")
@ComponentScan(basePackages = { "com.xxh.cloud" })
@EnableAsync
public class DataStatisticsApp {

    public static void main(String[] args) {
        SpringApplication.run(DataStatisticsApp.class,args);
    }


}
