package com.xxh.cloud.data.statistics.framework.modules.query.service.bean.bos;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ConsultationDayStatBO {

    @ApiModelProperty(value = "会诊发起数量")
    private Integer consultationTotalNum;

    @ApiModelProperty(value = "会诊发起明细")
    private List<ConsultationDayItemStatBO> consultationItemNum;

    @ApiModelProperty(value = "转科数量")
    private Integer changeTotalNum;

    @ApiModelProperty(value = "转科明细")
    private List<ConsultationDayItemStatBO> changeItemNum;
    
    @ApiModelProperty(value = "随访数量")
    private Integer followTotalNum;

    @ApiModelProperty(value = "随访明细")
    private List<ConsultationDayItemStatBO> followItemNum;

    @ApiModelProperty(value = "放弃数量")
    private Integer abandonTotalNum;

    @ApiModelProperty(value = "放弃明细")
    private List<ConsultationDayItemStatBO> abandonItemNum;

}
