package com.xxh.cloud.data.statistics.framework.modules.query.service.bean.bos;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class FollowUpDayStatBO {

    @ApiModelProperty(value = "随访数量")
    private Integer followTotalNum;

    @ApiModelProperty(value = "随访明细")
    private List<FollowUpDayItemStatBO> followItemNum;

    @ApiModelProperty(value = "已执行数量")
    private Integer exeYesNum;

    @ApiModelProperty(value = "已执行明细")
    private List<FollowUpDayItemStatBO> exeYesItemNum;
    
    @ApiModelProperty(value = "未执行数量")
    private Integer exeNoNum;

    @ApiModelProperty(value = "未执行明细")
    private List<FollowUpDayItemStatBO> exeNoItemNum;

    @ApiModelProperty(value = "复诊数量")
    private Integer visitNum;

    @ApiModelProperty(value = "复诊明细")
    private List<FollowUpDayItemStatBO> visitItemNum;

}
