package com.xxh.cloud.data.statistics.framework.modules.query.service.bean.bos;

import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PushDayStatBO {

    @ApiModelProperty(value = "服务触发数量")
    private Integer pushTotalNum;

    @ApiModelProperty(value = "服务触发明细")
    private List<PushDayItemStatBO> pushItemNum;

    @ApiModelProperty(value = "成功推送数量")
    private Integer successTotalNum;

    @ApiModelProperty(value = "成功推送明细")
    private List<PushDayItemStatBO> successItemNum;
    
    @ApiModelProperty(value = "失败数量")
    private Integer failTotalNum;

    @ApiModelProperty(value = "失败数量明细")
    private List<PushDayItemStatBO> failItemNum;

    @ApiModelProperty(value = "失败明细")
    private Map<String, Integer> failItem;

    @ApiModelProperty(value = "阅读数量")
    private Integer readNum;

    @ApiModelProperty(value = "阅读数量明细")
    private List<PushDayItemStatBO> readItemNum;

    // @ApiModelProperty(value = "阅读率")
    // private String readRadio;

}
