package com.xxh.cloud.data.statistics.framework.modules.query.service.bean.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/** 潜在患者未就诊日统计VO */
@Getter
@Setter
public class PatientInpatientLossDayBO {

    @ApiModelProperty(value = "统计日期")
    private String dataTime;

    @ApiModelProperty(value = "应复诊人数")
    private Integer num;

    @ApiModelProperty(value = "应复诊人数更新时间")
    private Date latestTime;

    @ApiModelProperty(value = "数量")
    private Integer inpatientNum;

    @ApiModelProperty(value = "最新更新时间")
    private Date latestInpatientTime;

}
