package com.xxh.cloud.data.statistics.framework.modules.task.bean.bos;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class FollowUpDetailQueryBO {

    private String id;

    // 科室编号
    private String deptCode;

    // 患者ID
    private String patientId;

    // 来源类型
    private String sourceType;

    // 来源数据ID
    private String sourceDataId;

    // 来源数据时间
    private Date sourceDataTime;

    // 计划随访时间
    private Date planFollowTime;

    // 随访执行状态
    private String followExeStatus;

    // 随访执行时间
    private Date followExeTime;

    // 随访复诊状态
    private String followVisitStatus;

    // 随访复诊目标科室
    private String followVisitDeptCode;

    // 随访复诊时间
    private Date followVisitTime;

    // 统计状态，标记数据是否需要更新
    private String status;

}
