package com.xxh.cloud.data.statistics.framework.modules.task.service;

/**
 * 复诊患者
 * */
public interface PatientFollowupDayTaskService {


    /**
     * 按时间同步复诊患者
     * @param date yyyy-mm-dd
     * */
    public void syncFollowupPatient(String date);

    /**
     * 计算复诊患者是否就诊
     * @param date yyyy-mm-dd
     * */
    public void calculateFollowup(String date);



}
