package com.xxh.cloud.data.statistics.framework.modules.task.service;

/**
 * 潜在患者未就诊日统计
 * */
public interface PotentialPatientNotDiagnosisDayTaskService {


    /**
     * 按时间同步潜在患者
     * @param date yyyy-mm-dd
     * */
    public void syncPotentialPatient(String date);

    /**
     * 计算潜在患者是否就诊
     * @param date yyyy-mm-dd
     * */
    public void calculateDiagnosis(String date);









}
