package com.xxh.cloud.data.statistics.framework.modules.task.utils;

import cn.hutool.core.date.DatePattern;
import cn.hutool.core.date.DateUtil;

import java.util.Date;

public class DataStatisticsTimeUtils {


    public static String endOfDay(Date date){
       Date date2=  DateUtil.endOfDay(date);
       return DateUtil.format(date2, DatePattern.NORM_DATETIME_FORMAT);
    }

    public static String beginOfDay(Date date){
        Date date2=  DateUtil.beginOfDay(date);
        return DateUtil.format(date2, DatePattern.NORM_DATETIME_FORMAT);
    }

    /**
     * @return yyyy-mm-dd
     * */
    public static String getYYYYMMDD(Date date){
        return DateUtil.format(date, DatePattern.NORM_DATE_PATTERN);
    }

    /**
     * @param str : yyyy-mm-dd
     * */
    public static Date str2Date(String str){
        return DateUtil.parse(str,DatePattern.NORM_DATE_PATTERN);
    }



    public static void main(String[] args) {
        Date date=DataStatisticsTimeUtils.str2Date("2024-08-26");
        System.out.println(DataStatisticsTimeUtils.getYYYYMMDD(date));
        System.out.println(DataStatisticsTimeUtils.beginOfDay(date));
        System.out.println(DataStatisticsTimeUtils.endOfDay(date));
    }


}
